import { action } from '@storybook/addon-actions';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ScrollingModule } from '@angular/cdk/scrolling';

import { MaterialModule } from 'src/app/material.module';
import { moduleMetadata } from '@storybook/angular';
import { CommonComponent } from './common.component';
import { NewGroupComponent } from './popup/new-group.component';
import { NewChatComponent } from './popup/new-chat.component';
import { SettingComponent } from './popup/setting.component';
import { DIALOGS } from './popup';
import { UserItemComponent } from '../group/component/user-item.component';
import { TreeComponent } from '../organization/component/tree.component';
import { ReactiveFormsModule } from '@angular/forms';
export default {
  title: '99_Common/CommonComponent',
  component: CommonComponent,
  decorators: [
    moduleMetadata({
      imports: [
        BrowserModule,
        BrowserAnimationsModule,
        MaterialModule,
        ScrollingModule,
        ReactiveFormsModule
      ],
      providers: [],
      declarations: [DIALOGS, UserItemComponent, TreeComponent],
      entryComponents: [DIALOGS]
    })
  ]
};

export const Page = () => ({
  component: CommonComponent
});
